Artbrain API
Overview
The API endpoints documented here are stable. However, the OpenAPI spec used to generate this documentation is subject to change.
Artbrain provides access to its REST API using the OpenAPI Specification 3 (OAS3).
Base URL
The base URL for the Artbrain API is https://api.artbrain.co/api/1.0. For private apps, use the format https://<PRIVATE_APP_SUBDOMAIN>.artbrain.co/api/1.0.
Authentication
To make authenticated requests to the API, an API key must be used in the API-Key header. Please note there is a rate limit of 10 requests per second per API key. Never share your API key and ensure it is stored securely.
- Header Name:
API-Key
// Passing API Key token in a Curl shell request
curl --header "API-Key: <YOUR_API_KEY>" https://api.artbrain.co/api/1.0/...
API Key Creation
To create an API key (limited to 5 keys per account):
Access API Settings:
- Log in to Artbrain using an account with "Owner" privileges.
- From the avatar menu in the top right corner, select "Auction House Settings."
- In the Auction House Settings, click on the API Keys tab.
Create an API Key:
- Click the "New Key" button.
- In the creation modal, provide a name for the key, then press "OK."
Use the API Key:
- Copy the key using the button under the "Key" column.
- Include this key in the
API-Keyheader for any API call.
Errors
The Artbrain API returns status codes consistent with standard HTTP conventions. In addition to the status code, errors may include additional information in the response body:
{
"message": "additional error information"
}
Campaigns
Manage campaigns and their activities.
Retrieve campaign recipients' activities.
Get Campaign Recipients Activities
Path Parameters
- Type: stringcampaign
_number requiredCampaign number
Query Parameters
- Type: integerFormat: int32offset
The number of items to skip before starting to collect the result set
- Type: stringcustomer
The customer number
- Type: integerFormat: int32limitmax:1000
The number of items to return. The max limit is 1000 customers per request
Responses
- application/json
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/campaign-activities/{campaign_number}?offset=0&limit=10' \
--header 'API-Key: YOUR_SECRET_TOKEN'
{
"recipients": [
{
"firstName": "string",
"lastName": "string",
"email": "string",
"customerNumbers": [
"string"
],
"activities": [
{
"action": "bounce",
"url": "string",
"timestamp": "string"
}
]
}
]
}Campaign activities retrieved successfully
Retrieve a list of campaigns.
Get Campaigns
Query Parameters
- Type: integerFormat: int32limitmax:20
The number of items to return. The max limit is 20 campaigns per request
- Type: integerFormat: int32offset
The number of items to skip before starting to collect the result set
- Type: stringsent
After Filter campaigns sent after this ISO formatted time
- Type: "send_time" or "create_time"enumsort
Sort by send time or create time. Default sorting by creation date
- Type: "asc" or "desc"enumorder
Sort order. Default is descending
- Type: stringfields
Comma-separated list of Campaign response fields to include (e.g.
number,name,status). Omit for the full response.
Responses
- application/json
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/campaigns?limit=10&offset=0&sort=send_time&order=desc&fields=number,name,status' \
--header 'API-Key: YOUR_SECRET_TOKEN'
[
{
"number": 1,
"name": "string",
"status": "draft",
"created": "2026-04-05T13:30:00Z",
"recipients": 1,
"sent": "2026-04-05T13:30:00Z",
"schedule": "2026-04-05T13:30:00Z",
"auctions": [
"string"
]
}
]Campaigns retrieved successfully
Auctions
Manage auction details and associated data.
Create a new auction.
Create Auction
Body
- Properties: 6Type:datarequired{ catalogLink, departments, id, +3 }
Responses
- application/json
curl https://api.artbrain.co/api/1.0/auctions \
--request POST \
--header 'Content-Type: application/json' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--data '{
"data": {
"id": "",
"name": "",
"departments": [
{
"name": "",
"categories": [
""
]
}
],
"scheduled": "2018-08-13T13:30:00Z",
"catalogLink": [
""
],
"description": ""
}
}'
{
"auction": {
"id": "string",
"name": "string",
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string"
}
]
}
],
"scheduled": "string",
"catalogLink": [
"string"
],
"description": "string"
},
"errors": [
{
"message": "string"
}
]
}Auction created successfully
Retrieve details of a specific auction.
Get Auction
Path Parameters
- Type: stringidrequired
Auction ID
Responses
- application/json
curl 'https://api.artbrain.co/api/1.0/auctions/{id}' \
--header 'API-Key: YOUR_SECRET_TOKEN'
{
"id": "string",
"name": "string",
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string"
}
]
}
],
"scheduled": "string",
"catalogLink": [
"string"
],
"description": "string"
}Auction details retrieved successfully
Update details of a specific auction.
Update Auction
Path Parameters
- Type: stringidrequired
Auction ID
Body
- Properties: 5Type:datarequired{ catalogLink, departments, description, +2 }
- Type: stringid
Responses
- application/json
curl 'https://api.artbrain.co/api/1.0/auctions/{id}' \
--request PUT \
--header 'Content-Type: application/json' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--data '{
"id": "",
"data": {
"name": "",
"departments": [
{
"name": "",
"categories": [
""
]
}
],
"scheduled": "2018-08-13T13:30:00Z",
"catalogLink": [
""
],
"description": ""
}
}'
{
"auction": {
"id": "string",
"name": "string",
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string"
}
]
}
],
"scheduled": "string",
"catalogLink": [
"string"
],
"description": "string"
},
"errors": [
{
"message": "string"
}
]
}Auction updated successfully
Customers
Manage customer data and interactions.
Retrieve details of a specific customer.
Get Customer
Path Parameters
- Type: stringidrequired
Responses
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/customers/{id}' \
--header 'API-Key: YOUR_SECRET_TOKEN'
{
"id": {},
"firstName": "string",
"lastName": "string",
"email": "string",
"address": {
"country": "string",
"state": "string",
"city": "string",
"street": "string",
"houseNumber": "string",
"apartmentNumber": "string",
"floor": "string",
"postalCode": "string"
},
"subscription": "subscribed",
"subscriptionUpdatedAt": {},
"isVip": true,
"totalPurchasedItems": 1,
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string",
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"customerNumber": "string",
"externalCreatedAt": {},
"signatureUrl": "string",
"totalItems": 1,
"lastSaleTime": {},
"isMailchimpSync": true,
"phone": "string",
"appUrl": "string",
"labels": [
"string"
],
"dy": {
"ids": [
"string"
],
"sessionId": "string"
}
}Customer details retrieved successfully
Update details of a specific customer.
Update Customer
Path Parameters
- Type: stringidrequired
Body
- Properties: 11Type:datarequired{ address, departments, dyIds, +8 }
Responses
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/customers/{id}' \
--request PUT \
--header 'Content-Type: application/json' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--data '{
"data": {
"email": "",
"firstName": "",
"lastName": "",
"joinedAt": "",
"phone": "",
"address": {
"country": "",
"state": "",
"city": "",
"street": "",
"houseNumber": "",
"apartmentNumber": "",
"floor": "",
"postalCode": ""
},
"departments": [
{
"name": "",
"categories": [
""
],
"tags": [
""
]
}
],
"subscription": "subscribed",
"labels": [
""
],
"dyIds": [
""
],
"dySessionId": ""
}
}'
{
"customer": {
"id": {},
"firstName": "string",
"lastName": "string",
"email": "string",
"address": {
"country": "string",
"state": "string",
"city": "string",
"street": "string",
"houseNumber": "string",
"apartmentNumber": "string",
"floor": "string",
"postalCode": "string"
},
"subscription": "subscribed",
"subscriptionUpdatedAt": {},
"isVip": true,
"totalPurchasedItems": 1,
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string",
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"customerNumber": "string",
"externalCreatedAt": {},
"signatureUrl": "string",
"totalItems": 1,
"lastSaleTime": {},
"isMailchimpSync": true,
"phone": "string",
"appUrl": "string",
"labels": [
"string"
],
"dy": {
"ids": [
"string"
],
"sessionId": "string"
}
},
"errors": [
{
"message": "string"
}
]
}Customer updated successfully
Update details of a customer using their email address.
Update Customer By Email
Path Parameters
- Type: stringemailrequired
Body
- Properties: 10Type:datarequired{ address, departments, dyIds, +7 }
Responses
- application/json
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/customers-email/{email}' \
--request PUT \
--header 'Content-Type: application/json' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--data '{
"data": {
"firstName": "",
"lastName": "",
"joinedAt": "",
"phone": "",
"address": {
"country": "",
"state": "",
"city": "",
"street": "",
"houseNumber": "",
"apartmentNumber": "",
"floor": "",
"postalCode": ""
},
"departments": [
{
"name": "",
"categories": [
""
],
"tags": [
""
]
}
],
"subscription": "subscribed",
"labels": [
""
],
"dyIds": [
""
],
"dySessionId": ""
}
}'
{
"customers": [
{
"id": {},
"firstName": "string",
"lastName": "string",
"email": "string",
"address": {
"country": "string",
"state": "string",
"city": "string",
"street": "string",
"houseNumber": "string",
"apartmentNumber": "string",
"floor": "string",
"postalCode": "string"
},
"subscription": "subscribed",
"subscriptionUpdatedAt": {},
"isVip": true,
"totalPurchasedItems": 1,
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string",
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"customerNumber": "string",
"externalCreatedAt": {},
"signatureUrl": "string",
"totalItems": 1,
"lastSaleTime": {},
"isMailchimpSync": true,
"phone": "string",
"appUrl": "string",
"labels": [
"string"
],
"dy": {
"ids": [
"string"
],
"sessionId": "string"
}
}
],
"errors": [
{
"message": "string"
}
]
}Customer updated successfully
Retrieve details of a customer using their email address.
Path Parameters
- Type: stringemailrequired
Responses
- application/json
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/customers-email/{email}' \
--header 'API-Key: YOUR_SECRET_TOKEN'
{
"customers": [
{
"id": {},
"firstName": "string",
"lastName": "string",
"email": "string",
"address": {
"country": "string",
"state": "string",
"city": "string",
"street": "string",
"houseNumber": "string",
"apartmentNumber": "string",
"floor": "string",
"postalCode": "string"
},
"subscription": "subscribed",
"subscriptionUpdatedAt": {},
"isVip": true,
"totalPurchasedItems": 1,
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string",
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"customerNumber": "string",
"externalCreatedAt": {},
"signatureUrl": "string",
"totalItems": 1,
"lastSaleTime": {},
"isMailchimpSync": true,
"phone": "string",
"appUrl": "string",
"labels": [
"string"
],
"dy": {
"ids": [
"string"
],
"sessionId": "string"
}
}
],
"errors": [
{
"message": "string"
}
]
}Customer details retrieved successfully
Create or update customer details using their email address.
Upsert - Create or Update Customer By Email
Body
- Properties: 10Type:datarequired{ address, departments, dyIds, +7 }
- Type: stringemailrequired
Responses
- application/json
- application/json
curl https://api.artbrain.co/api/1.0/customers-email \
--request PUT \
--header 'Content-Type: application/json' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--data '{
"email": "",
"data": {
"firstName": "",
"lastName": "",
"joinedAt": "",
"phone": "",
"address": {
"country": "",
"state": "",
"city": "",
"street": "",
"houseNumber": "",
"apartmentNumber": "",
"floor": "",
"postalCode": ""
},
"departments": [
{
"name": "",
"categories": [
""
],
"tags": [
""
]
}
],
"subscription": "subscribed",
"labels": [
""
],
"dyIds": [
""
],
"dySessionId": ""
}
}'
{
"customers": [
{
"id": {},
"firstName": "string",
"lastName": "string",
"email": "string",
"address": {
"country": "string",
"state": "string",
"city": "string",
"street": "string",
"houseNumber": "string",
"apartmentNumber": "string",
"floor": "string",
"postalCode": "string"
},
"subscription": "subscribed",
"subscriptionUpdatedAt": {},
"isVip": true,
"totalPurchasedItems": 1,
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string",
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"customerNumber": "string",
"externalCreatedAt": {},
"signatureUrl": "string",
"totalItems": 1,
"lastSaleTime": {},
"isMailchimpSync": true,
"phone": "string",
"appUrl": "string",
"labels": [
"string"
],
"dy": {
"ids": [
"string"
],
"sessionId": "string"
}
}
],
"errors": [
{
"message": "string"
}
]
}Customer upserted successfully
Search for a customer by email.
Search Customer
Body
- Type: stringemailrequired
Responses
- application/json
- application/json
- application/json
curl https://api.artbrain.co/api/1.0/search-customer \
--request POST \
--header 'Content-Type: application/json' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--data '{
"email": ""
}'
{
"customers": [
{
"id": {},
"firstName": "string",
"lastName": "string",
"email": "string",
"address": {
"country": "string",
"state": "string",
"city": "string",
"street": "string",
"houseNumber": "string",
"apartmentNumber": "string",
"floor": "string",
"postalCode": "string"
},
"subscription": "subscribed",
"subscriptionUpdatedAt": {},
"isVip": true,
"totalPurchasedItems": 1,
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string",
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"customerNumber": "string",
"externalCreatedAt": {},
"signatureUrl": "string",
"totalItems": 1,
"lastSaleTime": {},
"isMailchimpSync": true,
"phone": "string",
"appUrl": "string",
"labels": [
"string"
],
"dy": {
"ids": [
"string"
],
"sessionId": "string"
}
}
],
"errors": [
{
"message": "string"
}
]
}Search results returned successfully
Retrieve a list of customers.
Fetch customers with optional filtering
Query Parameters
- Type: "subscribed" or "unsubscribed"enumsubscription
Filter customers based on subscription status.
- Type: stringFormat: date-timesubscription
Updated After Return only customers whose subscription was updated at or after this timestamp (ISO 8601 date-time).
- Type: stringFormat: date-timesubscription
Updated Before Return only customers whose subscription was updated at or before this timestamp (ISO 8601 date-time).
- Type: integerFormat: int32limitmin:1max:100
The number of customers to return. The max limit is 100.
- Type: integerFormat: int32offsetmin:0
The number of customers to skip before collecting the result set.
- Type: stringfields
Comma-separated list of Customer response fields to include (e.g.
id,lastName). Omit for the full response.
Responses
- application/json
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/customers?subscription=subscribed&subscriptionUpdatedAfter=2026-02-01T10%3A00%3A00.000Z&subscriptionUpdatedBefore=2026-02-01T10%3A00%3A00.000Z&limit=10&offset=0&fields=id,lastName' \
--header 'API-Key: YOUR_SECRET_TOKEN'
{
"customers": [
{
"id": {},
"firstName": "string",
"lastName": "string",
"email": "string",
"address": {
"country": "string",
"state": "string",
"city": "string",
"street": "string",
"houseNumber": "string",
"apartmentNumber": "string",
"floor": "string",
"postalCode": "string"
},
"subscription": "subscribed",
"subscriptionUpdatedAt": {},
"isVip": true,
"totalPurchasedItems": 1,
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string",
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"customerNumber": "string",
"externalCreatedAt": {},
"signatureUrl": "string",
"totalItems": 1,
"lastSaleTime": {},
"isMailchimpSync": true,
"phone": "string",
"appUrl": "string",
"labels": [
"string"
],
"dy": {
"ids": [
"string"
],
"sessionId": "string"
}
}
]
}Customers retrieved successfully
Create or update a customer by ID or email.
Create Customer
Body
- Type:datarequired{ address, departments, dyIds, +9 }Properties: 12
ID, email, or both must be specified
- Type: stringid
Optional field, use data.id instead
Responses
- application/json
- application/json
- application/json
curl https://api.artbrain.co/api/1.0/customers \
--request POST \
--header 'Content-Type: application/json' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--data '{
"id": "",
"data": {
"id": "",
"email": "",
"firstName": "",
"lastName": "",
"joinedAt": "",
"phone": "",
"address": {
"country": "",
"state": "",
"city": "",
"street": "",
"houseNumber": "",
"apartmentNumber": "",
"floor": "",
"postalCode": ""
},
"departments": [
{
"name": "",
"categories": [
""
],
"tags": [
""
]
}
],
"subscription": "subscribed",
"labels": [
""
],
"dyIds": [
""
],
"dySessionId": ""
}
}'
{
"customer": {
"id": {},
"firstName": "string",
"lastName": "string",
"email": "string",
"address": {
"country": "string",
"state": "string",
"city": "string",
"street": "string",
"houseNumber": "string",
"apartmentNumber": "string",
"floor": "string",
"postalCode": "string"
},
"subscription": "subscribed",
"subscriptionUpdatedAt": {},
"isVip": true,
"totalPurchasedItems": 1,
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string",
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"tags": [
{
"name": "string",
"type": "ACTIVE"
}
]
}
],
"customerNumber": "string",
"externalCreatedAt": {},
"signatureUrl": "string",
"totalItems": 1,
"lastSaleTime": {},
"isMailchimpSync": true,
"phone": "string",
"appUrl": "string",
"labels": [
"string"
],
"dy": {
"ids": [
"string"
],
"sessionId": "string"
}
},
"errors": [
{
"message": "string"
}
]
}Customer created or updated successfully
Upload a customers file.
Upload Customers File. Please contact our support team to get the exact file format.
Body
Upload file type (CSV, XLS, XLSX). Max file size is 100MB
Responses
- application/json
- application/json
curl https://api.artbrain.co/api/1.0/customers/upload \
--request POST \
--header 'Content-Type: multipart/form-data' \
--header 'API-Key: YOUR_SECRET_TOKEN'
{
"transactionId": "63e01bfd-2287-421b-8c9a-9b43d73d4865"
}customers file uploaded successfully
Wishlist
Manage wishlist files and related actions.
Upload a wishlist file.
Upload Wishlist File. Please contact our support team to get the exact file format.
Body
Upload file type (CSV, XLS, XLSX). Max file size is 100MB
Responses
- application/json
- application/json
curl https://api.artbrain.co/api/1.0/wishlist/upload \
--request POST \
--header 'Content-Type: multipart/form-data' \
--header 'API-Key: YOUR_SECRET_TOKEN'
{
"transactionId": "63e01bfd-2287-421b-8c9a-9b43d73d4865"
}Wishlist file uploaded successfully
Items
Manage item files and associated details.
Delete items.
Delete Items
Body
- Properties: 2Type:itemsrequired{ item, auctionNumber }
Responses
- application/json
curl https://api.artbrain.co/api/1.0/items \
--request DELETE \
--header 'Content-Type: application/json' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--data '{
"items": [
{
"item": "",
"auctionNumber": ""
}
]
}'
{
"id": "string",
"status": "deleted",
"message": "string"
}Result of the delete operation
Retrieve details of a specific item.
Path Parameters
- Type: stringidrequired
Query Parameters
- Type: stringauction
Number
Responses
- application/json
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/items/{id}' \
--header 'API-Key: YOUR_SECRET_TOKEN'
{
"id": "string",
"name": "string",
"description": "string",
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string"
}
]
}
],
"state": "SOLD",
"lotNumber": "string",
"image": "string",
"link": "string",
"startingPrice": 1,
"lowEstimatedPrice": 1,
"highEstimatedPrice": 1,
"currentBidPrice": 1,
"price": 1,
"sellerNumber": "string",
"sellerEmail": "string",
"activeTags": [
"string"
],
"optionalTags": [
"string"
],
"labels": [
"string"
],
"saleTime": "string",
"entryTime": "string",
"artistName": "string",
"chapter": "string",
"medium": "string",
"technique": "string",
"condition": "string",
"dimensionsMetric": "string",
"dimensionsImperial": "string",
"weight": "string",
"material": "string",
"brand": "string",
"signature": "string",
"editionOf": "string",
"marks": "string",
"provenance": "string",
"publisher": "string",
"printer": "string",
"year": "string",
"lowEstYear": "string",
"highEstYear": "string",
"exhibited": "string",
"cataloguer": "string",
"reviewer": "string"
}Item details retrieved successfully
Update details of a specific item.
Update Item
Path Parameters
- Type: stringidrequired
Body
- Properties: 40Type:datarequired{ activeTags, artistName, brand, +37 }
- Type: stringauction
Number Auction number, must be provided when item exists in multiple auctions
Responses
- application/json
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/items/{id}' \
--request PUT \
--header 'Content-Type: application/json' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--data '{
"data": {
"name": "",
"description": "",
"departments": [
{
"name": "",
"categories": [
""
]
}
],
"state": "SOLD",
"image": "",
"link": "",
"startingPrice": 1,
"lowEstimatedPrice": 1,
"highEstimatedPrice": 1,
"currentBidPrice": 1,
"price": 1,
"sellerNumber": "",
"sellerEmail": "",
"activeTags": [
""
],
"optionalTags": [
""
],
"labels": [
""
],
"saleTime": "",
"entryTime": "",
"artistName": "",
"chapter": "",
"medium": "",
"technique": "",
"condition": "",
"dimensionsMetric": "",
"dimensionsImperial": "",
"weight": "",
"material": "",
"brand": "",
"signature": "",
"editionOf": "",
"marks": "",
"provenance": "",
"publisher": "",
"printer": "",
"year": "",
"lowEstYear": "",
"highEstYear": "",
"exhibited": "",
"cataloguer": "",
"reviewer": ""
},
"auctionNumber": ""
}'
{
"item": {
"id": "string",
"name": "string",
"description": "string",
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string"
}
]
}
],
"state": "SOLD",
"lotNumber": "string",
"image": "string",
"link": "string",
"startingPrice": 1,
"lowEstimatedPrice": 1,
"highEstimatedPrice": 1,
"currentBidPrice": 1,
"price": 1,
"sellerNumber": "string",
"sellerEmail": "string",
"activeTags": [
"string"
],
"optionalTags": [
"string"
],
"labels": [
"string"
],
"saleTime": "string",
"entryTime": "string",
"artistName": "string",
"chapter": "string",
"medium": "string",
"technique": "string",
"condition": "string",
"dimensionsMetric": "string",
"dimensionsImperial": "string",
"weight": "string",
"material": "string",
"brand": "string",
"signature": "string",
"editionOf": "string",
"marks": "string",
"provenance": "string",
"publisher": "string",
"printer": "string",
"year": "string",
"lowEstYear": "string",
"highEstYear": "string",
"exhibited": "string",
"cataloguer": "string",
"reviewer": "string"
},
"errors": [
{
"message": "string"
}
]
}Item updated successfully
Delete a specific item.
Delete Item
Path Parameters
- Type: stringidrequired
Query Parameters
- Type: stringauction
Number
Responses
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/items/{id}' \
--request DELETE \
--header 'API-Key: YOUR_SECRET_TOKEN'
{
"item": {
"id": "string",
"name": "string",
"description": "string",
"departments": [
{
"id": "string",
"name": "string",
"categories": [
{
"id": "string",
"name": "string"
}
]
}
],
"state": "SOLD",
"lotNumber": "string",
"image": "string",
"link": "string",
"startingPrice": 1,
"lowEstimatedPrice": 1,
"highEstimatedPrice": 1,
"currentBidPrice": 1,
"price": 1,
"sellerNumber": "string",
"sellerEmail": "string",
"activeTags": [
"string"
],
"optionalTags": [
"string"
],
"labels": [
"string"
],
"saleTime": "string",
"entryTime": "string",
"artistName": "string",
"chapter": "string",
"medium": "string",
"technique": "string",
"condition": "string",
"dimensionsMetric": "string",
"dimensionsImperial": "string",
"weight": "string",
"material": "string",
"brand": "string",
"signature": "string",
"editionOf": "string",
"marks": "string",
"provenance": "string",
"publisher": "string",
"printer": "string",
"year": "string",
"lowEstYear": "string",
"highEstYear": "string",
"exhibited": "string",
"cataloguer": "string",
"reviewer": "string"
},
"errors": [
{
"message": "string"
}
]
}Item deleted successfully
Upload an items file.
Upload Items File. Please contact our support team to get the exact file format.
Body
Upload file type (CSV, XLS, XLSX). Max file size is 100MB
Responses
- application/json
- application/json
curl https://api.artbrain.co/api/1.0/items/upload \
--request POST \
--header 'Content-Type: multipart/form-data' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--form 'auctionNumber=12345;type=text/plain'
{
"transactionId": "63e01bfd-2287-421b-8c9a-9b43d73d4865"
}Items file uploaded successfully
Bids
Manage bids files and their processing.
Delete bids.
Delete Bids
Body
- Type:bidsrequired
Responses
- application/json
curl https://api.artbrain.co/api/1.0/bids \
--request DELETE \
--header 'Content-Type: application/json' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--data '{
"bids": [
{}
]
}'
{
"results": [
{
"id": "string",
"status": "deleted",
"message": "string"
}
]
}Result of the delete operation
Upload a bids file.
Upload Bids File. Please contact our support team to get the exact file format.
Body
Upload file type (CSV, XLS, XLSX). Max file size is 100MB
Responses
- application/json
- application/json
curl https://api.artbrain.co/api/1.0/bids/upload \
--request POST \
--header 'Content-Type: multipart/form-data' \
--header 'API-Key: YOUR_SECRET_TOKEN' \
--form 'auctionNumber=12345;type=text/plain'
{
"transactionId": "63e01bfd-2287-421b-8c9a-9b43d73d4865"
}Bids file uploaded successfully
Authentication
Handle user authentication and token management.
Refresh authentication tokens. (Deprecating March 31, 2025)
Refresh Tokens
Body
- Type: stringaccess
Token required - Type: stringrefresh
Token required
Responses
- application/json
curl https://api.artbrain.co/api/1.0/refresh-tokens \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"accessToken": "",
"refreshToken": ""
}'
{
"sessionId": "string",
"tokens": {
"refreshToken": "string",
"accessToken": "string"
}
}Tokens refreshed successfully
Authenticate user and obtain tokens. (Deprecating March 31, 2025)
Authenticate
Body
- Properties: 2Type:paramsrequired{ password, user }
- Type: stringservice
Name required'password' for email and password authentication
Responses
- application/json
curl https://api.artbrain.co/api/1.0/authenticate \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"serviceName": "",
"params": {
"password": "",
"user": {
"email": ""
}
}
}'
{
"sessionId": "string",
"tokens": {
"refreshToken": "string",
"accessToken": "string"
}
}User authenticated successfully
Transactions
Retrieve details of a specific transaction.
Get Transaction Details
Path Parameters
- Type: stringidrequired
Transaction Id
Responses
- application/json
- application/json
curl 'https://api.artbrain.co/api/1.0/transactions/{id}' \
--header 'API-Key: YOUR_SECRET_TOKEN'
{
"id": "string",
"status": "PENDING",
"results": [
"string"
],
"created": "2026-04-05T13:30:00Z",
"updated": "2026-04-05T13:30:00Z"
}Transaction details retrieved successfully

